4314161159
Remove upstream patches: 831-ARM-PR-target-70473-Reduce-size-of-Cortex-A8-automat.patch 870-xtensa-Fix-PR-target-78118.patch 871-xtensa-Fix-PR-target-78603.patch 890-fix-m68k-compile.patch:1701058da9
892-libgcc-mkmap-symver-support-skip_underscore.patch:6c8f362e1f
893-libgcc-config-bfin-use-the-generic-linker-version-in.patch:966d046c08
894-libgcc-fix-DWARF-compilation-with-FDPIC-targets.patch:397d0e43ab
895-bfin-define-REENTRANT.patch:da89a4dcdf
940-uclinux-enable-threads.patch:b9ce54109e
941-mips-Add-support-for-mips-r6-musl.patch:8371706509
Remove obsolete patches: 301-missing-execinfo_h.patch: boehm-gc removed from gcc sources:baf7122876
830-arm_unbreak_armv4t.patch: SUBTARGET_CPU_DEFAULT removed:ff3caa3ade
Add a new patch to allow to build gcc 7.1 without extracting gcc/testsuite directory. This new gcc version require a kernel patch [1] to avoid a build issue with ____ilog2_NaN symbol. The following kernel version contain contain already this patch : 4.11, 4.10.6, 4.9.18, 4.4.57, 3.18.50 and 3.12.73. To build a toolchain based on gcc 7 and uClibc-ng 1.0.24, the patch [2] is required to avoid a build issue due to missing aligned_alloc() definition. [1] https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=474c90156c8dcc2fa815e6716cc9394d7930cb9c [2] https://cgit.openadk.org/cgi/cgit/uclibc-ng.git/commit/?id=5b0f49037e8ea8500b05c8f31ee88529ccac4cee Signed-off-by: Romain Naour <romain.naour@gmail.com> Tested-by: Theodore Ateba <tf.ateba@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Cc: Waldemar Brodkorb <wbx@openadk.org> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
30 lines
1.0 KiB
Diff
30 lines
1.0 KiB
Diff
From 326b880b20e5f8187dbda736b4c4c662cbfb00ca Mon Sep 17 00:00:00 2001
|
|
From: Romain Naour <romain.naour@gmail.com>
|
|
Date: Tue, 2 May 2017 22:36:15 +0200
|
|
Subject: [PATCH] uclibc-conf
|
|
|
|
[Romain: convert to git patch]
|
|
Signed-off-by: Romain Naour <romain.naour@gmail.com>
|
|
---
|
|
contrib/regression/objs-gcc.sh | 4 ++++
|
|
1 file changed, 4 insertions(+)
|
|
|
|
diff --git a/contrib/regression/objs-gcc.sh b/contrib/regression/objs-gcc.sh
|
|
index 60b0497..6dc7ead 100755
|
|
--- a/contrib/regression/objs-gcc.sh
|
|
+++ b/contrib/regression/objs-gcc.sh
|
|
@@ -106,6 +106,10 @@ if [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-gnu ]
|
|
then
|
|
make all-gdb all-dejagnu all-ld || exit 1
|
|
make install-gdb install-dejagnu install-ld || exit 1
|
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
|
+ then
|
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
|
make bootstrap || exit 1
|
|
make install || exit 1
|
|
--
|
|
2.9.3
|
|
|